Subject: Re: linux-next: manual merge of the kvm tree with the tip tree

From: Paolo Bonzini <[email-masked]>
Date: Mon, 13 Dec 2021 19:14:34 +0100

On 12/13/21 18:46, [email-masked] wrote:
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> diff --cc arch/arm64/kvm/Makefile
> index 0bcc378b79615,04a53f71a6b63..0000000000000
> --- a/arch/arm64/kvm/Makefile
> +++ b/arch/arm64/kvm/Makefile
> @@@ -10,9 -10,7 +10,7 @@@ include $(srctree)/virt/kvm/Makefile.kv
>    obj-$(CONFIG_KVM) += kvm.o
>    obj-$(CONFIG_KVM) += hyp/
>    
> - kvm-y := $(KVM)/kvm_main.o $(KVM)/coalesced_mmio.o $(KVM)/eventfd.o \
> - 	 $(KVM)/vfio.o $(KVM)/irqchip.o $(KVM)/binary_stats.o \
> - 	 arm.o mmu.o mmio.o psci.o hypercalls.o pvtime.o \
>   -kvm-y += arm.o mmu.o mmio.o psci.o perf.o hypercalls.o pvtime.o \
> ++kvm-y := arm.o mmu.o mmio.o psci.o hypercalls.o pvtime.o \

This is mostly okay, but it needs to be "+=" instead of ":=".

Paolo